Summary: A set of tools for ARECA based file servers
Name: areca_tools
Version: 1.8
Release: 1.cern
License: Unknown
Buildroot: %{_tmppath}/%{name}-buildroot
Group: System Environment/Base
Source: %{name}.tar.gz
Packager: Andras.Horvath@cern.ch
# automagically downloads the right binaries for i386/i686 or x86-64
# requires wget

%description
ARECA tools rpm:

areca_cli - areca command line interface
areca_httpd - Proxy daemon for access with Web based utility
areca_diskinfo.csh - generate disk information template with serial numbers
(diskinfo_<machine_name>.tpl)

%prep
%setup -n %{name}

%install
mkdir -p %{buildroot}/usr/sbin
%ifarch i386 i686
install -m 755 x86/areca_cli %{buildroot}/usr/sbin/areca_cli
install -m 755 x86/areca_httpd %{buildroot}/usr/sbin/areca_httpd
%else
install -m 755 x86_64/areca_cli %{buildroot}/usr/sbin/areca_cli
install -m 755 x86_64/areca_httpd %{buildroot}/usr/sbin/areca_httpd
%endif
install -m 755 areca_diskinfo.csh %{buildroot}/usr/sbin/areca_diskinfo.csh

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/usr/sbin/areca_cli
/usr/sbin/areca_httpd
/usr/sbin/areca_diskinfo.csh

%changelog
* Mon Jul 21 2008 Andras Horvath <Andras.Horvath@cern.ch> 1.8-1
- new upstream version V1.80A_71012
- builds on sl5

* Wed Mar 14 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.7-3
- fixed httpd for one that actually works

* Wed Mar 14 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.7-2
- no network needed for build (eg. download everything at "make rpm" time)

* Fri Feb 3 2007 Andras Horvath <Andras.Horvath@cern.ch> 1.7-1
- rebuilt with upgraded version

* Thu Apr 6 2006 Andras Horvath <Andras.Horvath@cern.ch> 1.1-2
- spec file cleanup, changed License, build path, etc
- 64-bit support
- source in CVS
* Mon Jan 23 2006 Vladimir Bahyl <Vladimir.Bahyl> 1.1-1
- Initial build

